.menu-layout {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 300;
    position: fixed;
    opacity: 0;
    visibility: hidden;

    &.open {
        opacity: 1;
        visibility: visible;
    }
}

.menu {
    z-index: 500;
    display: none;
    right: 0;
    left: 0;
    top: calc(100% - 27px);
    position: absolute;
    background: $white;
    min-height: rem(643);
    box-shadow: 0px 4px 55px 0px rgba(102, 102, 102, 0.20);
    opacity: 0;
    visibility: hidden;

    &.menu--open {
        opacity: 1;
        visibility: visible;
    }

    &__primary {
        width: rem(280);
        position: relative;

        &:before {
            top: 0;
            right: 0;
            bottom: 0;
            z-index: 1;
            content: '';
            display: block;
            position: absolute;
            border-right: 1px solid $gray-200;
        }

    }

    &__main {
        display: flex;
        flex-grow: 1;
        flex-direction: column;
    }

    &__offer {
        margin: rem(20);
        border: 1px solid #F2F2F2;
    }

    &__secondary {
        flex-grow: 1;
        padding: rem(77) rem(30) rem(50) rem(50);
    }

    @include media-breakpoint-up(xl) {
        display: flex;
    }

    @include media-breakpoint-up(xxl) {
        left: rem(223);
        display: flex;

        &__primary {
            width: rem(322);
        }

        &__secondary {
            padding: rem(75) rem(56);
        }
    }
}

.menu-offer {
    width: 100%;
    height: 157px;
    max-width: 100%;
    overflow: hidden;
    position: relative;
    border: 1px solid $gray-200;

    &__image {
        top: 0;
        left: 0;
        bottom: 0;
        width: rem(944);
        position: absolute;
    }

    &__title {
        z-index: 30;
        color: $dark;
        left: rem(36);
        width: rem(400);
        padding-top: rem(34);
        position: relative;
        font-size: rem(15);
        font-weight: 600;
        line-height: 135%;
    }

    &__subtitle {
        z-index: 15;
        color: $white;
        font-weight: 600;
        font-size: rem(13);
        line-height: 40px;
        position: absolute;
    }
}

.menu-primary {
    padding-top: rem(40);
    padding-bottom: rem(30);

    &__group {

        &:not(:last-child) {
            margin-bottom: rem(30);
        }
    }

    &__title {
        color: $gray-300;
        font-weight: 600;
        font-size: rem(12);
        line-height: rem(15);
        padding-left: rem(34);
        margin-bottom: rem(10);
        text-transform: uppercase;
    }

    &__nav {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        z-index: 10;
        position: relative;
    }

    &__link {
        color: $dark;
        height: rem(42);
        cursor: pointer;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(16);
        position: relative;
        text-decoration: none;
        padding: rem(8) rem(20) rem(8) rem(60);
        transition: .25s;
        display: flex;
        align-items: center;

        &:after {
            right: 0;
            width: 1px;
            z-index: 10;
            top: calc(50% - 15px);
            content: '';
            height: 30px;
            position: absolute;
            background: $purple;
            opacity: 0;
            visibility: visible;
            transition: .25s;
        }

        &:before {
            left: rem(34);
            top: calc(50% - 3px);
            width: 6px;
            height: 6px;
            content: '';
            position: absolute;
            border-radius: 50%;
            border: 2px solid $purple;
        }

        &:hover {
            color: $purple;
            transition: .25s;
            text-decoration: none;

            &:after {
                opacity: 1;
                transition: .25s;
                visibility: visible;
            }
        }

        &.active {
            color: $purple;

            &:after {
                opacity: 1;
                transition: .25s;
                visibility: visible;
            }
        }
    }
}

.menu-secondary {
    font-weight: 500;
    line-height: 125%;
    font-size: rem(14);
    display: none;

    &.active {
        display: block;
    }

    &__title {
        color: $dark;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(14);
        margin-bottom: rem(10);
    }

    &__group {
        margin-bottom: rem(30);
        min-width: rem(190);

        &:last-child {
            margin-bottom: 0;
        }
    }

    &__nav {
        display: grid;
        grid-row-gap: rem(12);

    }

    &__column {
        display: grid;
        grid-row-gap: rem(12);
    }

    &__link {
        color: $gray-400;
        text-decoration: none;
        transition: .25s;

        &:hover {
            color: $purple;
            transition: .25s;
        }
    }

    @include media-breakpoint-up(md) {

        &__nav {

            &--grid {
                min-width: rem(450);
                grid-template-columns: 1fr 1fr 1fr;
            }
        }
    }

    @include media-breakpoint-up(lg) {

        &__row {
            display: flex;
        }

        &__title {
            font-size: rem(16);
            margin-bottom: rem(20);
        }

        &__group {
            margin-bottom: 0;
            min-width: rem(190);
        }
    }

    @include media-breakpoint-up(xxl) {

        &__row {

        }
    }
}
